<?php
/*
  $Id: shopping_cart.php,v 1.18 2003/02/10 22:31:06 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
?>
<!-- shopping_cart //-->
<div id="cart" class="nav_right">
	<div style="margin:2px;width:156px;text-align:center; line-height:2">
	<span style="font-weight:bold;">
		<a href="<?php echo tep_href_link('shopping_cart.php', '', 'SSL'); ?>"><img src="<?=DIR_WS_LANGUAGES.$language?>/images/shopping_cart.gif" border="0" ></a><br>
		<? echo ($cart->count_contents()  . BOX_SHOPPING_CART_EMPTY."<br>"); ?>
	</span>	
	</div>
	<div style="margin:3px;width:156px;text-align:left;line-height:1.4">
	<?
		if ($cart->count_contents()>0) {
		$products = $cart->get_products();
		for ($i=0, $n=sizeof($products); $i<$n; $i++)
		{
		$str_product_name=$products[$i]['name'];
	?>
	<font color="#FF0033"><?=$products[$i]['quantity']?> &nbsp;x&nbsp;</font><a href="<?=tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $products[$i]['id'])?>" title="<?=$products[$i]['name']?>"><?=$str_product_name;?></a><br />
	<?
		}
	?>
	<br>
	
	<div align="center">
		<a href="<?php echo tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><img src="<?=DIR_WS_LANGUAGES.$language?>/images/buttons/but_checkout.gif" alt="<?=HEADER_TITLE_CHECKOUT?>" vspace="5"  border="0"></a>
	</div>	
	<?
	}
	?></div>
</div>
<?php
/*
  $info_box_contents = array();
  $info_box_contents[] = array('text' => BOX_HEADING_SHOPPING_CART);

  new infoBoxHeading($info_box_contents, false, true, tep_href_link(FILENAME_SHOPPING_CART));

  $cart_contents_string = '';
  if ($cart->count_contents() > 0) {
    $cart_contents_string = '<table border="0" width="100%" cellspacing="0" cellpadding="0">';
    $products = $cart->get_products();
    for ($i=0, $n=sizeof($products); $i<$n; $i++) {
      $cart_contents_string .= '<tr><td align="right" valign="top" class="infoBoxContents">';

      if ((tep_session_is_registered('new_products_id_in_cart')) && ($new_products_id_in_cart == $products[$i]['id'])) {
        $cart_contents_string .= '<span class="newItemInCart">';
      } else {
        $cart_contents_string .= '<span class="infoBoxContents">';
      }

      $cart_contents_string .= $products[$i]['quantity'] . '&nbsp;x&nbsp;</span></td><td valign="top" class="infoBoxContents"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $products[$i]['id']) . '">';

      if ((tep_session_is_registered('new_products_id_in_cart')) && ($new_products_id_in_cart == $products[$i]['id'])) {
        $cart_contents_string .= '<span class="newItemInCart">';
      } else {
        $cart_contents_string .= '<span class="infoBoxContents">';
      }

      $cart_contents_string .= $products[$i]['name'] . '</span></a></td></tr>';

      if ((tep_session_is_registered('new_products_id_in_cart')) && ($new_products_id_in_cart == $products[$i]['id'])) {
        tep_session_unregister('new_products_id_in_cart');
      }
    }
    $cart_contents_string .= '</table>';
  } else {
    $cart_contents_string .= BOX_SHOPPING_CART_EMPTY;
  }

  $info_box_contents = array();
  $info_box_contents[] = array('text' => $cart_contents_string);

  if ($cart->count_contents() > 0) {
    $info_box_contents[] = array('text' => tep_draw_separator());
    $info_box_contents[] = array('align' => 'right',
                                 'text' => $currencies->format($cart->show_total()));
  }

  new infoBox($info_box_contents);
*/
?>
<!-- shopping_cart_eof //-->
